%define	upstream_name    Mail-Box
%define upstream_version 2.118

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Mail-folder manager API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Devel::GlobalDestruction) >= 0.90.0
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Encode) >= 2.260.0
BuildRequires: perl(Errno)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Remove) >= 0.200.0
BuildRequires: perl(File::Spec) >= 0.700.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types) >= 1.4.0
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Object::Realize::Later) >= 0.190.0
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(TAP::Harness) >= 3.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Time::Zone)
BuildRequires: perl(URI) >= 1.230.0
BuildRequires: perl(User::Identity) >= 0.940.0
BuildRequires: perl-File-Remove
BuildRequires: perl-HTML-Format
BuildRequires: perl-HTML-Tree
BuildRequires: perl-Mail-IMAPClient
BuildRequires: perl-Mail-MboxParser
BuildRequires: perl-Mail-SpamAssassin
BuildRequires: perl-MailTools
BuildRequires: perl-MIME-tools
BuildRequires: perl-MIME-Types
BuildRequires: perl-Object-Realize-Later
BuildRequires: perl-User-Identity
BuildArch:  noarch

Provides:   perl(Mail::Message::Construct)

%{?perl_default_filter}

%description
Mail::Box is a Perl CPAN package that can be used to handle and manage E-mail
messages, mail boxes, and folders of many types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

#%{__make} test

%install
%makeinstall_std

# fix permissions
find %{buildroot} -type f -exec chmod 0644 {} \;
find %{buildroot} -type d -exec chmod 0755 {} \;

# remove unused file
rm -f %{buildroot}%{perl_vendorlib}/Mail/Makefile.PL

%files
%doc ChangeLog INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/Mail


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.118.0-4pclos2017
- rebuild against updates

